= Cheatsheets

[[ApolloWSOptions]]
== ApolloWSOptions

++++
 Options for configuring the link.
++++
'''

[cols=">25%,25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[keepAlive]]`@keepAlive`|`Number (long)`|+++
Set the interval in milliseconds to send <code>KEEPALIVE</code> messages to all clients. Defaults to <code>30000</code>.
+++
|===

[[GraphQLHandlerOptions]]
== GraphQLHandlerOptions

++++
 Options for configuring the link.
++++
'''

[cols=">25%,25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[requestBatchingEnabled]]`@requestBatchingEnabled`|`Boolean`|+++
Whether request batching should be enabled. Defaults to <code>false</code>.
+++
|[[requestMultipartEnabled]]`@requestMultipartEnabled`|`Boolean`|+++
Whether request multipart should be enabled. Defaults to <code>false</code>.
+++
|===

[[GraphiQLHandlerOptions]]
== GraphiQLHandlerOptions

++++
 Embedded GraphiQL user interface options.
++++
'''

[cols=">25%,25%,50%"]
[frame="topbot"]
|===
^|Name | Type ^| Description
|[[enabled]]`@enabled`|`Boolean`|+++
Whether the GraphiQL development tool should be enabled. Defaults to <code>false</code>.
+++
|[[graphQLUri]]`@graphQLUri`|`String`|+++
Set the GraphQL endpoint URI. Defaults to the path used to get the GraphiQL user interface.
+++
|[[headers]]`@headers`|`String`|+++
A fixed set of HTTP headers to add to GraphiQL requests. Defaults to <code>null</code>.
+++
|[[query]]`@query`|`String`|+++
Initial value of the query area in the GraphiQL user interface. Defaults to <code>null</code>.
+++
|[[variables]]`@variables`|`Json object`|+++
Initial value of the variables area in the GraphiQL user interface. Defaults to <code>null</code>.
+++
|===

